Manually trigger recap for a call
curl --request POST \
--url https://api.pyai.com/v1/recap/calls/{call_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"utterances": [
{
"text": "<string>",
"offset_s": 1,
"duration_s": 1,
"role_confidence": 0.5
}
],
"pack_id": "<string>",
"call_duration_s": 123,
"customer_name": "<string>",
"crm_fields": {}
}
'import requests
url = "https://api.pyai.com/v1/recap/calls/{call_id}"
payload = {
"utterances": [
{
"text": "<string>",
"offset_s": 1,
"duration_s": 1,
"role_confidence": 0.5
}
],
"pack_id": "<string>",
"call_duration_s": 123,
"customer_name": "<string>",
"crm_fields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
utterances: [{text: '<string>', offset_s: 1, duration_s: 1, role_confidence: 0.5}],
pack_id: '<string>',
call_duration_s: 123,
customer_name: '<string>',
crm_fields: {}
})
};
fetch('https://api.pyai.com/v1/recap/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "recap.call",
"call_id": "<string>",
"pack_id": "<string>",
"status": "pending",
"call_duration_s": 123,
"created_at": 123,
"completed_at": 123,
"source": "<string>",
"headline": "<string>",
"customer_name": "<string>",
"call_direction": "inbound"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "invalid_request_error",
"param": "<string>"
}
}Recap
Manually trigger recap for a call
POST
/
v1
/
recap
/
calls
/
{call_id}
Manually trigger recap for a call
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Available options:
inbound, outbound Language for the Recap output; this does not transcribe audio.
Available options:
en, fr, es, de, hi Response
Recap job accepted
Example:
"recap.call"
Available options:
pending, processing, complete, failed Call origin, for example external.
Best available summary headline for list and tracking views.
Available options:
inbound, outbound